#!/bin/sh | |
# | |
# Set up cgroupfs mounts. | |
# | |
start() { | |
printf "Mounting cgroupfs hierarchy: " | |
/usr/bin/cgroupfs-mount | |
[ $? = 0 ] && echo "OK" || echo "FAIL" | |
} | |
stop() { | |
printf "Unmounting cgroupfs hierarchy: " | |
/usr/bin/cgroupfs-umount | |
[ $? = 0 ] && echo "OK" || echo "FAIL" | |
} | |
restart() { | |
stop | |
start | |
} | |
case "$1" in | |
start) | |
start | |
;; | |
stop) | |
stop | |
;; | |
restart|reload) | |
restart | |
;; | |
*) | |
echo "Usage: $0 {start|stop|restart}" | |
exit 1 | |
esac |